/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_EVEINTECLIE                                                 */
/* Tabela : EVEINTECLIE                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 18/08/2009 - Isabella Guimares                                           */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_EVEINTECLIE
BEFORE INSERT OR UPDATE OR DELETE
ON EVEINTECLIE FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATU := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (:OLD.CDCLIENTE <> :NEW.CDCLIENTE) OR
          (:OLD.CDINTECLIE <> :NEW.CDINTECLIE) OR
          (:OLD.CDEVENTOESP <> :NEW.CDEVENTOESP) THEN
          :NEW.DTULTATU := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('EVEINTECLIE', '', 'CDCLIENTE ='||:OLD.CDCLIENTE	||';CDINTECLIE ='||:OLD.CDINTECLIE ||';CDEVENTOESP ='||:OLD.CDEVENTOESP||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE EVEINTECLIE MODIFY DTULTATU DEFAULT SYSDATE
/
